# FLOW_CallApi.DTO_Request

**Class** · Group: `Web Services`

Learn it: [Fast Start - Outbound APIs](/fast-start-outbound-apis) and [Web Services guide](/web-services-guide)

<div class="apex-member apex-class">

```apex
global inherited sharing class FLOW_CallApi.DTO_Request
```

Data Transfer Object representing the web service call request.

</div>

---

## Fields

| Field | Description |
|-------|-------------|
| global [String](https://developer.salesforce.com/docs/atlas.en-us.apexref.meta/apexref/apex_methods_system_string.htm) [apiName](#apiname) | The full class name of the API handler to invoke. |
| global [String](https://developer.salesforce.com/docs/atlas.en-us.apexref.meta/apexref/apex_methods_system_string.htm) [extractPath](#extractpath) | A JSONPath expression to extract a specific element from the response body. |
| global [String](https://developer.salesforce.com/docs/atlas.en-us.apexref.meta/apexref/apex_methods_system_string.htm) [idempotencyKey](#idempotencykey) | Explicit idempotency key for duplicate detection. |
| global [String](https://developer.salesforce.com/docs/atlas.en-us.apexref.meta/apexref/apex_methods_system_string.htm) [inputDelimiter](#inputdelimiter) | The delimiter used to split input parameters, defaults to a comma. |
| global [String](https://developer.salesforce.com/docs/atlas.en-us.apexref.meta/apexref/apex_methods_system_string.htm) [inputs](#inputs) | A comma-delimited list of parameters in the format paramName=paramValue. |
| global [String](https://developer.salesforce.com/docs/atlas.en-us.apexref.meta/apexref/apex_methods_system_string.htm) [recordId](#recordid) | The ID of the record triggering the callout. |

### apiName

```apex
@InvocableVariable(required=true description='The full class name of the API handler' label='API Name' placeholderText='API_PostExample') global String apiName
```

**Type:** [String](https://developer.salesforce.com/docs/atlas.en-us.apexref.meta/apexref/apex_methods_system_string.htm)

The full class name of the API handler to invoke.

### extractPath

```apex
@InvocableVariable(required=false description='Element to extract from the JSON response, using JsonPath Notation' label='Extract Path (JSONPath)') global String extractPath
```

**Type:** [String](https://developer.salesforce.com/docs/atlas.en-us.apexref.meta/apexref/apex_methods_system_string.htm)

A JSONPath expression to extract a specific element from the response body.

### idempotencyKey

```apex
@InvocableVariable(required=false description='Explicit idempotency key for duplicate detection. If blank, auto-generated when enabled.' label='Idempotency Key') global String idempotencyKey
```

**Type:** [String](https://developer.salesforce.com/docs/atlas.en-us.apexref.meta/apexref/apex_methods_system_string.htm)

Explicit idempotency key for duplicate detection. If blank, auto-generated when enabled.

### inputDelimiter

```apex
@InvocableVariable(required=false description='The delimiter to use when splitting parameters, defaults to a comma' label='Input Delimiter') global String inputDelimiter
```

**Type:** [String](https://developer.salesforce.com/docs/atlas.en-us.apexref.meta/apexref/apex_methods_system_string.htm)

The delimiter used to split input parameters, defaults to a comma.

### inputs

```apex
@InvocableVariable(required=false description='A list of parameters in the format paramName=paramValue,paramName2=paramValue2' label='Inputs' placeholderText='ubiNum=1234') global String inputs
```

**Type:** [String](https://developer.salesforce.com/docs/atlas.en-us.apexref.meta/apexref/apex_methods_system_string.htm)

A comma-delimited list of parameters in the format paramName=paramValue.

### recordId

```apex
@InvocableVariable(required=false description='The ID of the object triggering the callout' label='Record Id') global String recordId
```

**Type:** [String](https://developer.salesforce.com/docs/atlas.en-us.apexref.meta/apexref/apex_methods_system_string.htm)

The ID of the record triggering the callout.
